## Function `startsWith( whole, start )`

Description:
  Determines whether a string starts with a certain substring.

Parameters:
  `whole` (String)
    the string to test
  `start` (String)
    the sequence that may appear at the start of `whole`

Return Value (boolean):
  true if the first few characters of `whole` are the same as `start`

Example:
  `startsWith("CYGNUS X-1", "CYG") = true`

Signature:
  `boolean startsWith(String, String)`